Up

# NSComparisonPredicate class documentation

### Authors

Generated by Debian

# Software documentation for the NSComparisonPredicate class

## NSComparisonPredicate : NSPredicate

> Declared in:
>   Foundation/NSComparisonPredicate.h

Availability: MacOS-X 10.4.0
Description forthcoming.

Instance Variables
Method summary

- +predicateWithLeftExpression:rightExpression:customSelector:
- +predicateWithLeftExpression:rightExpression:modifier:type:options:
- -comparisonPredicateModifier
- -customSelector
- -initWithLeftExpression:rightExpression:customSelector:
- -initWithLeftExpression:rightExpression:modifier:type:options:
- -leftExpression
- -options
- -predicateOperatorType
- -rightExpression

### predicateWithLeftExpression: rightExpression: customSelector:

+ (NSPredicate*) predicateWithLeftExpression: (NSExpression*)left rightExpression: (NSExpression*)right customSelector: (SEL)sel;
Availability: MacOS-X 10.4.0
Description forthcoming.

### predicateWithLeftExpression: rightExpression: modifier: type: options:

+ (NSPredicate*) predicateWithLeftExpression: (NSExpression*)left rightExpression: (NSExpression*)right modifier: (NSComparisonPredicateModifier)modifier type: (NSPredicateOperatorType)type options: (NSUInteger)opts;
Availability: MacOS-X 10.4.0
Description forthcoming.

### comparisonPredicateModifier

- (NSComparisonPredicateModifier) comparisonPredicateModifier;
Availability: MacOS-X 10.4.0
Description forthcoming.

### customSelector

- (SEL) customSelector;
Availability: MacOS-X 10.4.0
Description forthcoming.

### initWithLeftExpression: rightExpression: customSelector:

- (NSPredicate*) initWithLeftExpression: (NSExpression*)left rightExpression: (NSExpression*)right customSelector: (SEL)sel;
Availability: MacOS-X 10.4.0
Description forthcoming.

### initWithLeftExpression: rightExpression: modifier: type: options:

- (id) initWithLeftExpression: (NSExpression*)left rightExpression: (NSExpression*)right modifier: (NSComparisonPredicateModifier)modifier type: (NSPredicateOperatorType)type options: (NSUInteger)opts;
Availability: MacOS-X 10.4.0
Description forthcoming.

### leftExpression

- (NSExpression*) leftExpression;
Availability: MacOS-X 10.4.0
Description forthcoming.

### options

- (NSUInteger) options;
Availability: MacOS-X 10.4.0
Description forthcoming.

### predicateOperatorType

- (NSPredicateOperatorType) predicateOperatorType;
Availability: MacOS-X 10.4.0
Description forthcoming.

### rightExpression

- (NSExpression*) rightExpression;
Availability: MacOS-X 10.4.0
Description forthcoming.

## Instance Variables for NSComparisonPredicate Class

### _left

@public NSExpression* _left;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _modifier

@protected NSComparisonPredicateModifier _modifier;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _options

@protected NSUInteger _options;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _right

@public NSExpression* _right;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _selector

@protected SEL _selector;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _type

@protected NSPredicateOperatorType _type;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up